<div class="container-fluid" *ngIf="this.Loaded">
    <div class="row ">
        <div class=" text-center filter-selector">
            <button class="btn  btn-outline-warning btn-filter" [matMenuTriggerFor]="menu"
                aria-label="Example icon-button with a menu">
                <!-- <svg-icon src="assets/icon-svg/icon-filtrer.svg" [applyCss]="true" [svgStyle]="{'width.px':30}">
                </svg-icon> -->
                <fa-icon class="faChevron faSliders" [icon]="faSliders"></fa-icon>
                <p>Filters</p>
                <fa-icon class="faChevron faChevronDown" [icon]="faChevronDown"></fa-icon>
                <fa-icon class="faChevron faChevronUp" [icon]="faChevronUp"></fa-icon>
            </button>
            <mat-menu #menu="matMenu">
                <button mat-menu-item [matMenuTriggerFor]="simpleFilter" >{{this.filterList?.title}}</button>
                <button mat-menu-item [matMenuTriggerFor]="customFilter">Mes filtres sauvegardés</button>
            </mat-menu>

            <mat-menu #simpleFilter="matMenu">
                <div *ngFor="let filter of listSimpleFilters; let i = index" class="mx-2 d-flex">
                    <mat-checkbox color='warn' style="width: 200px;" class="example-margin"
                        (change)="onChangeSimpleFilterChips(filter,$event)" [(ngModel)]="filter.checked">
                        {{filter.title}}
                    </mat-checkbox>
                </div>
            </mat-menu>
            <!-- <mat-menu #simpleFilter="matMenu">
                <div *ngFor="let filter of listSimpleFilters; let i = index" class="mx-2 d-flex">
                    <mat-checkbox color='warn' style="width: 200px;" class="example-margin"
                        (change)="onChangeSimpleFilterChips(filter,$event)" [(ngModel)]="filter.checked">
                        {{filter.title}}
                    </mat-checkbox>
                </div>
            </mat-menu> -->

            <mat-menu #customFilter="matMenu">
                <div *ngFor="let customfilter of listCustumFilters; let i = index"
                    class="mx-2 d-flex justify-content-space-between">
                    <mat-checkbox color='warn' style="width: 200px;" class="example-margin"
                        (change)="onChangeCustomFiltersChips(customfilter,$event)" [(ngModel)]="customfilter.checked">
                        {{customfilter.title}}
                    </mat-checkbox>

                    <button mat-icon-button (click)="onEdit(customfilter)" type="button">
                        <mat-icon>edit</mat-icon>
                    </button>
                    <button mat-icon-button (click)="onDelete(customfilter)" type="button">
                        <mat-icon>restore_from_trash</mat-icon>
                    </button>
                </div>
            </mat-menu>
        </div>
        <!-- <div class=" block-filter">
            <mat-form-field class="example-chip-list" >
                <mat-chip-list #chipList [ngStyle]="{'overflow':listSelectedFilter.length>2 ? scroll : hidden}">
                    <mat-chip *ngFor="let filter of listSelectedFilter" [removable]="removable"
                        (removed)="remove(filter)">
                        {{filter.title}}
                        <i class="fa fa-times-circle ml-1" (click)="removeChips(filter)"></i>
                        <mat-icon (click)="removeChips(filter)">cancel</mat-icon>
                    </mat-chip>
                </mat-chip-list>
            </mat-form-field>
        </div> -->
        <!-- <div class=" text-center filter-save">
            <button class="btn  btn-outline-warning btn-save" (click)="showModalCustomFilter()" type="button">
                <svg-icon src="assets/icon-svg/save-icon.svg" [applyCss]="true" style="margin: auto;" [svgStyle]="{'height.px':25}">
                </svg-icon>
            </button>
            <button class="btn-search btn" (click)="search()" type="button">
                    <fa-icon class="faChevron faSearch" [icon]="faSearch"></fa-icon>
                    <p>Search</p>
            </button>
        </div> -->
    </div>
    
    <div #dataModal class="modal fade" id="dataModal">
        <div class="modal-dialog modal-md">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title ">{{titleModal}}</h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form [formGroup]="filterForm" (ngSubmit)="submitCustomFilter(filterForm)">
                        <input id="title" type="hidden" class="form-control" [formControl]="filterForm.controls['id']">
                        <div class="form-group">
                            <label class="form-label">Les filtres sélectionnés : </label>
                            <div>
                                <small *ngFor=" let filter of listSelectedFilterForModal">{{filter.title}} / </small>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="form-label">Titre <span class="text-danger">*</span></label>
                            <input id="title" type="text" class="form-control"
                                [class.is-invalid]="filterForm.controls['title'].invalid && filterForm.controls['title'].touched"
                                [formControl]="filterForm.controls['title']">
                            <div *ngIf="filterForm.controls['title'].invalid && filterForm.controls['title'].touched">
                                <small class="text-danger" *ngIf="filterForm.controls['title'].errors?.required">* titre
                                    obligatoire</small>
                            </div>
                        </div>
                        <div class="d-flex justify-content-center">
                            <button class="btn btn-primary" [disabled]="!filterForm.valid" type="submit">
                                {{titleButton}}
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>